Page MenuHomeFreeBSD

Switch to GCC 9 for the GCC tinderbox.
ClosedPublic

Authored by jhb on Aug 26 2020, 6:52 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jul 13, 8:57 AM
Unknown Object (File)
Wed, Jul 10, 9:52 PM
Unknown Object (File)
Mon, Jun 24, 10:52 AM
Unknown Object (File)
Sun, Jun 23, 9:47 AM
Unknown Object (File)
Sat, Jun 22, 12:11 AM
Unknown Object (File)
Jun 15 2024, 9:18 PM
Unknown Object (File)
May 11 2024, 2:26 AM
Unknown Object (File)
May 10 2024, 7:18 PM
Subscribers

Details

Summary

This also adds riscv to the GCC tinderbox.

Test Plan
  • make USE_GCC_TOOLCHAINS=yes tinderbox

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jhb requested review of this revision.Aug 26 2020, 6:52 PM
jhb created this revision.

Very happy to see this happen. LGTM pending the dependencies.

This revision is now accepted and ready to land.Aug 26 2020, 6:55 PM

riscv doesn't link due to jemalloc using atomics on a bool that needs __atomic_exchange_1. That isn't new with GCC 9 though and would fail with riscv-xtoolchain-gcc as well.

powerpc64 dies with an ICE.

32-bit arm is now the only architecture without a GCC toolchain.

Note: gcc9 will not work for TARGET_ARCH powerpcspe (not to be confused with IBM Cell, which is a completely different SPE) because they ripped out the target entirely.

This revision was automatically updated to reflect the committed changes.